JUCE: LookAndFeel_V4::ColourScheme Class Reference

JUCE

- Main Page
- Related Pages
- Modules
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Loading...
Searching...
No Matches
Public Types | Public Member Functions | List of all members
LookAndFeel_V4::ColourScheme Class Reference
juce_gui_basics » lookandfeel

A struct containing the set of colours to apply to the GUI. More...

`#include <juce_LookAndFeel_V4.h>`

## Public Types
enum | UIColour { windowBackground = 0 , widgetBackground , menuBackground , outline , defaultText , defaultFill , highlightedText , highlightedFill , menuText , numColours }
| The standard set of colours to use. More...

## Public Member Functions
template<typename... ItemColours>
| ColourScheme (ItemColours... coloursToUse)
| ColourScheme (const ColourScheme &)=default
ColourScheme & | operator= (const ColourScheme &)=default
Colour | getUIColour (UIColour colourToGet) const noexcept
| Returns a colour from the scheme.
void | setUIColour (UIColour colourToSet, Colour newColour) noexcept
| Sets a scheme colour.
bool | operator== (const ColourScheme &) const noexcept
| Returns true if two ColourPalette objects contain the same colours.
bool | operator!= (const ColourScheme &) const noexcept
| Returns false if two ColourPalette objects contain the same colours.

## Detailed Description

A struct containing the set of colours to apply to the GUI.

## Member Enumeration Documentation

## ◆ UIColour

enum LookAndFeel_V4::ColourScheme::UIColour

The standard set of colours to use.

Enumerator
windowBackground |
widgetBackground |
menuBackground |
outline |
defaultText |
defaultFill |
highlightedText |
highlightedFill |
menuText |
numColours |

## Constructor & Destructor Documentation

## ◆ ColourScheme() [1/2]

template<typename... ItemColours>

LookAndFeel_V4::ColourScheme::ColourScheme | ( | ItemColours... | coloursToUse | ) |

## ◆ ColourScheme() [2/2]

LookAndFeel_V4::ColourScheme::ColourScheme | ( | const ColourScheme & |  | ) |
| default

## Member Function Documentation

## ◆ operator=()

ColourScheme & LookAndFeel_V4::ColourScheme::operator= | ( | const ColourScheme & |  | ) |
| default

## ◆ getUIColour()

Colour LookAndFeel_V4::ColourScheme::getUIColour | ( | UIColour | colourToGet | ) | const
| noexcept

Returns a colour from the scheme.

## ◆ setUIColour()

void LookAndFeel_V4::ColourScheme::setUIColour | ( | UIColour | colourToSet,
|  | Colour | newColour
| ) |  |
| noexcept

Sets a scheme colour.

## ◆ operator==()

bool LookAndFeel_V4::ColourScheme::operator== | ( | const ColourScheme & |  | ) | const
| noexcept

Returns true if two ColourPalette objects contain the same colours.

## ◆ operator!=()

bool LookAndFeel_V4::ColourScheme::operator!= | ( | const ColourScheme & |  | ) | const
| noexcept

Returns false if two ColourPalette objects contain the same colours.

The documentation for this class was generated from the following file:

- juce_LookAndFeel_V4.h